Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.kernel
Class JTextAreaWriter

    java.lang.Object
      java.io.Writer
          madkit.kernel.JTextAreaWriter

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.Appendable

    public class JTextAreaWriter

extends java.io.Writer

A Writer that appends its output to a TextArea. Based on code from Albert L. Ting" . J'ai déjà placé ce texte dans SEdit. Il faudra eviter de le dupliquer plusieurs fois...

Field Summary

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`JTextAreaWriter(javax.swing.JTextArea area)`

Method Summary
`void` | `clear()`
`void` | `close()`
`void` | `flush()`
`void` | `write(char[] data, int off, int len)`
`void` | `write(int x)`
`void` | `write(java.lang.String str)`

Methods inherited from class java.io.Writer
`append, append, append, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JTextAreaWriter

    public JTextAreaWriter(javax.swing.JTextArea area)

Method Detail

### clear

    public void clear()

### write

    public void write(int x)

  Overrides:
    `write` in class `java.io.Writer`

### write

    public void write(java.lang.String str)

  Overrides:
    `write` in class `java.io.Writer`

### write

    public void write(char[] data,
                      int off,
                      int len)

  Specified by:
    `write` in class `java.io.Writer`

### flush

    public void flush()

  Specified by:
    `flush` in interface `java.io.Flushable`
  Specified by:
    `flush` in class `java.io.Writer`

### close

    public void close()

  Specified by:
    `close` in interface `java.io.Closeable`
  Specified by:
    `close` in class `java.io.Writer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.